 ;------------------------------- Usage of Install section-----------------------------------------
;Run setup.exe in the current folder from command shell or by double clicking the icon to install our product,
;we actually execute the value of the keyword "CmdLine" in "Install" section. 
;And This setup.exe supports commandline parameters, if you call this setup.exe with any commandline paramenter,
;It will ingnore the value of the keyword "CmdLine" in "Install" section.
;
;Rules of setup.exe command line in this .ini file:
;1. A parameter must be specified with no space between the option and its parameter.
;  For example, Setup.exe /v"ALLUSERS=2" is valid, while Setup.exe /v "ALLUSERS=2" is not.
;2. Quotation marks around an option's parameter are required only if the parameter contains spaces. 
;  If a path within a parameter contains spaces, you may need to use quotation marks within quotation marks,
;  as in the following example: Setup.exe /v"INSTALLDIR=\"c:\My Files\""
;
;The options listed below may be helpful to you:
;/s:  suppresses the Setup.exe initialization window
;/v:  pass command-line options and values of public properties through to Msiexec.exe.
;
;And the options below is for msiexec, you should use them after /v
;/qn: 		silent installation
;/l*v:		specifies the path of the log file(verbose output)
;LOGPATH:	specifies the path of the result log file(It is different from /l*v, for this log is just used to confirm the result of installation)
;
;INSTALLDIR:    specifies the Default Installation Location
;REBOOT:	You can suppress certain prompts for reboots by setting the REBOOT property as follows:
;		Force: Always prompt for a reboot at the end of the installation. If silent install the system automatically reboots at the end of the installation
;		Suppress:Suppress prompts for a reboot at the end of the installation.If silent install,it wouldn't Reboots the system at the end of the installation.
;
;Example: CmdLine=""%SetupExeLocation%%PROCESSOR_ARCHITECTURE%\setup.exe" /s /v"/qn INSTALLDIR=\"D:\Program Files\IVT Corporation\BlueSoleil\" LOGPATH=\"C:\result.log\" REBOOT=Suppress /l*v \"C:\BluesoleilMsiInstall.log\"""
;is used for silent installation and without reboot, and the result code will be written to C:\result.log, verbose output will be written to C:\BluesoleilMsiInstall.log.
;and default installation location is D:\Program Files\IVT Corporation\BlueSoleil
;-------------------------------------------------------------------------------------------------

;------------------------------- Usage of customization section-----------------------------------------
;[bsconfig]  the section name of customization. If you don't care any following field, just ingnore it, and BlueSoleil will use the default value.
;BluetoothPlaceSite=0 
;0 means Bluetooth places will show under the desktop. (default value)
;1 means Bluetooth places will show under the computer.
;2 means Bluetooth places will hide under the desktop.
;3 means Bluetooth places will hide under the computer.
;BsDefaultInterface=0
;0 Means the default menu item of the popup menu when you right-click the Bluetooth icon in the tray icon area will be "Explore Bluetooth Places".(default value)
;1 means the default menu item of tray menu will be "Display Classic View".
;NeedDoNewVersionCheck=0
;0 means BlueSoleil will not check the new version of BlueSoleil through the Internet.
;1 means BlueSoleil will check the new version of BlueSoleil through the Internet.(default value)
;NeedSupportUARTDevice=0
;0 means BlueSoleil won't support the configuration for UART devices and tray icon would disappear after bluetooth hardware powered off.
;1 means BlueSoleil will support the configuration for UART devices.(default value)
;ShutDownBluetoothHardwarePower=0
;0 means it won't shut down the bluetooth hardware power after turned off bluetooth.(default value)
;1 means it will shut down the buetooth hardware power when turned off bluetooth.
;IsAddShortCutToStartMenu=0
;0 means it won't add one bluetooth places shortcut to the start menu.(default value)
;1 means it will add one bluetooth places shortcut to the start menu.
;2 means it will add bluesoleil classic view shortcut to the start menu.
;3 means it will add both bluetooth places shortcut and classic view to the start menu.
;DefaultLocalDeviceClass=0
;0 means local device class is Desktop.(default value)
;1 means local device class is laptop
;2 means local device class is headset.
;3 means local device class is printer.
;CustomizeSCOAudioDriver=0
;0 means BlueSoleil will install the sco audio driver.(default value)
;1 means BlueSoleil won't install the sco audio driver.
;EnableAutoReconnectFunc=0
;0 means BlueSoleil won't add "Auto-reconnect" menu item to the Right-Click menu of remote bluetooth device.(default value)
;1 means BlueSoleil will add "Auto-reconnect" menu item to the Right-Click menu of remote bluetooth device.
;IsSupportDialerFunction=0
;0 means BlueSoleil won't pop up the dialogs to support dial functions based on Handsfree profile.(default value)
;1 means BlueSoleil will pop up the dialogs to support dial functions based on Handsfree profile.
;IsSupportBoundBTHWLicenceReg=0
;0 means BlueSoleil won't support to register bound Bluetooth hardware license.(default value,Only support BlueSoleil6 series)
;1 means BlueSoleil will support to register bound Bluetooth hardware license.  
;NeedSupportMobileDUNFunc=1
;0 means BlueSoleil won't support to one-button to internet functions.
;1 means BlueSoleil will support to  one-button to internet functions.(default value,Only support BlueSoleil6 series)
;NeedSupportSelectiveSuspend=1
;0 means BlueSoleil won't support to enter selective suspend mode.
;1 means BlueSoleil will support to enter selective suspend mode.(default value)
;DisableAllCheckNewVersionFunc=0
;0 means BlueSoleil won't disable the configuration for checking new version.(default value)
;1 means BlueSoleil will disable the configuration for checking new version.
;DisableShowTheTipsForHardwareStatus=0
;0 means BlueSoleil will show the tips for hareware plug in or pull out status.(default value)
;1 means BlueSoleil won't show the tips for hareware plug in or pull out status.
;---------- ---------------------------------------------------------------------------------------

[Install]
CmdLine=""%SetupExeLocation%%PROCESSOR_ARCHITECTURE%\setup.exe" 
[ExDNumber]
NumberCount=1
DNumber1=1542
[bsconfig]
Qosconfig=1
NeedSupportSelectiveSuspend=0
ShowNTADChannel=1
BluetoothPlaceSite=2
IsSupportISendFunction=1
IsGATTSupportEncryption=1
NeedDoNewVersionCheck=0
IsPluginSerialPortByDefault=0
IsSupportBLEFunction=1
IsCheckDSN=0
HotkeySwitch=0
IsSupportMultiBTDevice=1
IsPluginSerialPortByDefault=0
NeedSupportColdReset=1